Eclipse Platform Release 3.7

## org.eclipse.debug.core.model
Interface IRegister

All Superinterfaces:
  IAdaptable, IDebugElement, IValueModification, IVariable

    public interface IRegister

extends IVariable

A register is a special kind of variable that is contained in a register group. Each register has a name and a value. Not all debug architectures provide access to registers.

Clients may implement this interface.

Since:
  2.0

Method Summary
`IRegisterGroup` `getRegisterGroup()` Returns the register group this register is contained in.

Methods inherited from interface org.eclipse.debug.core.model.IVariable
`getName, getReferenceTypeName, getValue, hasValueChanged`

Methods inherited from interface org.eclipse.debug.core.model.IDebugElement
`getDebugTarget, getLaunch, getModelIdentifier`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Methods inherited from interface org.eclipse.debug.core.model.IValueModification
`setValue, setValue, supportsValueModification, verifyValue, verifyValue`

Method Detail

### getRegisterGroup

    IRegisterGroup getRegisterGroup()
                                    throws DebugException

  Returns the register group this register is contained in.

  Returns:
    the register group this register is contained in
  Throws:
    `DebugException` - if this method fails. Reasons include:
    - Failure communicating with the debug target. The DebugException's status code contains the underlying exception responsible for the failure.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.